Summary:	glitz - OpenGL compositing library
Summary(pl.UTF-8):	glitz - biblioteka składania OpenGL
Name:		glitz
Version:	0.5.6
Release:	4
License:	BSD-like
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	c507f140ecccc06aed8888c958edda4c
Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
Patch2:		format-security.patch
# it's not directory, don't add /
URL:		http://www.freedesktop.org/Software/glitz
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	xorg-lib-libX11-devel
# incompatible with glitz 0.2.x despite same soname
Conflicts:	cairo < 0.3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glitz is a portable 2D graphics library that uses OpenGL to render
hardware accelerated graphics. It supports many of the latest OpenGL
features, such as efficient off-screen rendering using pbuffers.
Rendering can be carried out by arbitrary OpenGL layers, thanks to
glitz's extensible backend system. Glitz is designed to match the X
Render Extension semantics and provides a general way for accelerating
this imaging model. Glitz can be used as a stand-alone layer above
OpenGL but is also designed to act as a backend for cairo, providing
it with OpenGL accelerated output.

%description -l pl.UTF-8
Glitz to przenośna biblioteka grafiki 2D używająca OpenGL-a do
renderowania grafiki ze sprzętową akceleracją. Obsługuje wiele
nowych możliwości OpenGL-a, takich jak wydajny rendering poza ekranem
przy użyciu p-buforów. Renderowanie może być wykonywane przez dowolne
warstwy OpenGL-a dzięki rozszerzalnemu systemowi backendów glitza.
Glitz został zaprojektowany aby pasował do semantyki rozszerzenia
X Render i dostarcza ogólny sposób akceleracji tego modelu rysowania.
Glitz może być używany jako samodzielna warstwa ponad OpenGL, ale
został zaprojektowany także, żeby służył jako backend dla cairo,
udostępniając akcelerowane wyjście OpenGL.

%package devel
Summary:	Header files for glitz libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek glitz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for glitz-glx
Requires:	OpenGL-devel
Requires:	xorg-lib-libX11-devel

%description devel
Header files for glitz libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek glitz.

%package static
Summary:	Static glitz libraries
Summary(pl.UTF-8):	Statyczne biblioteki glitz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glitz libraries.

%description static -l pl.UTF-8
Statyczne biblioteki glitz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-agl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/glitz*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glitz.git;a=log;h=master

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 93de9fc
- added format-security.patch
- ghost soname symlink
- rel 4

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ba5a1a3
- compilation fix

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> 026ab24
- fixed building with recent autoconf/libtool

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> 5d0839e
- fix for building with recent autoconf/libtool

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f5551cd
- release 2

* Sat Oct 20 2007 Tomasz Pala <gotar@pld-linux.org> 92ac456
- different pl translation of 'compositing'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8a55f2f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 48d2533
- converted to UTF-8

* Mon May 22 2006 Jakub Bogusz <qboosh@pld-linux.org> c5260b2
- updated to 0.5.6

* Tue Mar 14 2006 wolf <wolf@pld-linux.org> b935808
- 20060313

* Thu Feb 23 2006 wolf <wolf@pld-linux.org> ecdb22d
- 0.5.4 cvs snapshot

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 6e57531
- BR+R xorg-lib-libX11-devel (used explicitly), ac >= 2.59-9 not to BR libXt

* Sun Feb 19 2006 freetz <freetz@pld-linux.org> 4b0cba9
- 0.5.3

* Fri Feb 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 806122d
- added link patch to avoid -L poisoning in libglitz-glx.la

* Fri Feb 10 2006 Jakub Bogusz <qboosh@pld-linux.org> e933d43
- avoid -L poisoning in libglitz-glx.la

* Thu Feb 09 2006 Paweł Sikora <pluto@pld-linux.org> 13e0903
- remove redundant BR (OpenGL-devel req. suitable xf86/xorg devel).

* Wed Aug 10 2005 saq <saq@pld-linux.org> f586832
- 0.4.4 final, rel 1

* Thu Jul 21 2005 freetz <freetz@pld-linux.org> 8a93f40
- 0.4.4 (not yet released - tagged as 0.4.4 since 2 weeks - dropin tarball)

* Sun Jun 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 9b29251
- updated to 0.4.3 (mostly bugfixes; seems compatible with 0.4.0)

* Mon Feb 21 2005 Jakub Bogusz <qboosh@pld-linux.org> c20b146
- conflicts with glitz-0.2.x-based cairo

